commit:     c766e3af48c962e8fd2762b5f60ff848f398fc3d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  4 17:40:40 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Aug  4 17:40:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c766e3af

sci-libs/p4est: remove USE=static-libs

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../{p4est-2.3.1.ebuild => p4est-2.3.1-r1.ebuild}  | 34 +++++++++---------
 sci-libs/p4est/p4est-9999.ebuild                   | 40 ++++++++++++----------
 2 files changed, 38 insertions(+), 36 deletions(-)

diff --git a/sci-libs/p4est/p4est-2.3.1.ebuild 
b/sci-libs/p4est/p4est-2.3.1-r1.ebuild
similarity index 83%
rename from sci-libs/p4est/p4est-2.3.1.ebuild
rename to sci-libs/p4est/p4est-2.3.1-r1.ebuild
index 597b67a136a..c7756fee11c 100644
--- a/sci-libs/p4est/p4est-2.3.1.ebuild
+++ b/sci-libs/p4est/p4est-2.3.1-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 LUA_COMPAT=( lua5-{1..3} )
 
-inherit autotools lua-single toolchain-funcs
+inherit autotools flag-o-matic lua-single toolchain-funcs
 
 DESCRIPTION="Scalable Algorithms for Parallel Adaptive Mesh Refinement on 
Forests of Octrees"
 HOMEPAGE="http://www.p4est.org/";
@@ -26,34 +26,31 @@ LICENSE="GPL-2+"
 SLOT="0"
 
 # TODO petsc
-IUSE="debug doc examples mpi openmp romio static-libs threads +vtk-binary"
+IUSE="debug doc examples mpi openmp romio threads +vtk-binary"
 REQUIRED_USE="${LUA_REQUIRED_USE}
        romio? ( mpi )"
 
 RDEPEND="${LUA_DEPS}
-       
~sci-libs/libsc-${PV}[${LUA_SINGLE_USEDEP},mpi=,openmp=,romio=,static-libs=,threads=]
+       ~sci-libs/libsc-${PV}[${LUA_SINGLE_USEDEP},mpi=,openmp=,romio=,threads=]
        sys-apps/util-linux
        virtual/blas
        virtual/lapack
        mpi? ( virtual/mpi[romio=] )"
-
-DEPEND="
-       ${RDEPEND}
-       sys-devel/automake
-       virtual/pkgconfig"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
 PATCHES=(
        "${FILESDIR}"/${PN}-2.3-fix_aclocal.patch
        "${FILESDIR}"/${PN}-2.3-add_soname.patch
 )
 
-DOCS=( AUTHORS NEWS README )
-
 pkg_pretend() {
-       if [[ ${MERGE_TYPE} != "binary" ]] && use openmp; then
-               tc-has-openmp || \
-                       die "Please select an openmp capable compiler like 
gcc[openmp]"
-       fi
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+       lua-single_pkg_setup
 }
 
 src_prepare() {
@@ -82,19 +79,19 @@ src_prepare() {
 
 src_configure() {
        # avoid underlinkage
-       LDFLAGS="${LDFLAGS} -lsc"
+       append-libs -lsc
 
        local myeconfargs=(
+               --disable-static
                $(use_enable debug)
                $(use_enable mpi)
                $(use_enable openmp)
                $(use_enable romio mpiio)
-               $(use_enable static-libs static)
                $(use_enable threads pthread)
                $(use_enable vtk-binary)
                --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
                --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
-               --with-sc="${EPREFIX}/usr"
+               --with-sc="${ESYSROOT}/usr"
        )
        econf "${myeconfargs[@]}"
 }
@@ -119,4 +116,7 @@ src_install() {
        mv "${ED}"/usr/share/data "${ED}"/usr/share/p4est/data || die "mv 
failed"
        mv "${ED}"/etc/* "${ED}"/usr/share/p4est || die "mv failed"
        rmdir "${ED}"/etc/ || die "rmdir failed"
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
 }

diff --git a/sci-libs/p4est/p4est-9999.ebuild b/sci-libs/p4est/p4est-9999.ebuild
index bb4b3a864ed..c7756fee11c 100644
--- a/sci-libs/p4est/p4est-9999.ebuild
+++ b/sci-libs/p4est/p4est-9999.ebuild
@@ -5,10 +5,7 @@ EAPI=7
 
 LUA_COMPAT=( lua5-{1..3} )
 
-# The build system currently fails with everything newer than 1.11.
-WANT_AUTOMAKE=1.11
-
-inherit autotools lua-single toolchain-funcs
+inherit autotools flag-o-matic lua-single toolchain-funcs
 
 DESCRIPTION="Scalable Algorithms for Parallel Adaptive Mesh Refinement on 
Forests of Octrees"
 HOMEPAGE="http://www.p4est.org/";
@@ -29,29 +26,31 @@ LICENSE="GPL-2+"
 SLOT="0"
 
 # TODO petsc
-IUSE="debug doc examples mpi openmp romio static-libs threads +vtk-binary"
+IUSE="debug doc examples mpi openmp romio threads +vtk-binary"
 REQUIRED_USE="${LUA_REQUIRED_USE}
        romio? ( mpi )"
 
 RDEPEND="${LUA_DEPS}
-       
~sci-libs/libsc-${PV}[${LUA_SINGLE_USEDEP},mpi=,openmp=,romio=,static-libs=,threads=]
+       ~sci-libs/libsc-${PV}[${LUA_SINGLE_USEDEP},mpi=,openmp=,romio=,threads=]
        sys-apps/util-linux
        virtual/blas
        virtual/lapack
        mpi? ( virtual/mpi[romio=] )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
 
-DEPEND="
-       ${RDEPEND}
-       sys-devel/automake:1.11
-       virtual/pkgconfig"
-
-DOCS=( AUTHORS NEWS README )
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.3-fix_aclocal.patch
+       "${FILESDIR}"/${PN}-2.3-add_soname.patch
+)
 
 pkg_pretend() {
-       if [[ ${MERGE_TYPE} != "binary" ]] && use openmp; then
-               tc-has-openmp || \
-                       die "Please select an openmp capable compiler like 
gcc[openmp]"
-       fi
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+       lua-single_pkg_setup
 }
 
 src_prepare() {
@@ -80,19 +79,19 @@ src_prepare() {
 
 src_configure() {
        # avoid underlinkage
-       LDFLAGS="${LDFLAGS} -lsc"
+       append-libs -lsc
 
        local myeconfargs=(
+               --disable-static
                $(use_enable debug)
                $(use_enable mpi)
                $(use_enable openmp)
                $(use_enable romio mpiio)
-               $(use_enable static-libs static)
                $(use_enable threads pthread)
                $(use_enable vtk-binary)
                --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
                --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
-               --with-sc="${EPREFIX}/usr"
+               --with-sc="${ESYSROOT}/usr"
        )
        econf "${myeconfargs[@]}"
 }
@@ -117,4 +116,7 @@ src_install() {
        mv "${ED}"/usr/share/data "${ED}"/usr/share/p4est/data || die "mv 
failed"
        mv "${ED}"/etc/* "${ED}"/usr/share/p4est || die "mv failed"
        rmdir "${ED}"/etc/ || die "rmdir failed"
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to